# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Structure Class Reference

## Public Member Functions
bool | addElement (Element *)
| adds an Element to the Structure. More...
std::string | getName ()
| returns the name of the Structure.
| Structure (std::string strName)
| creates a new Structure More...

## Detailed Description

This class describes a GDS Structure with a name and a list of Elements.

## Constructor & Destructor Documentation

## ◆ Structure()

Structure | ( | std::string | name | ) |

creates a new Structure

Parameters

  name | the name of the structure.

## Member Function Documentation

## ◆ addElement()

bool addElement | ( | Element * | element | ) |

adds an Element to the Structure.

Parameters

  element | the Element object to add.

Generated by doxygen 1.8.14 on Mon Feb 3 2020 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved